<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ChangeEmailRequest StructType
 * @subpackage Structs
 */
class ChangeEmailRequest extends AbstractStructBase
{
    /**
     * The changeEmail
     * @var \StructType\ChangeEmail
     */
    public $changeEmail;
    /**
     * Constructor method for ChangeEmailRequest
     * @uses ChangeEmailRequest::setChangeEmail()
     * @param \StructType\ChangeEmail $changeEmail
     */
    public function __construct(\StructType\ChangeEmail $changeEmail = null)
    {
        $this
            ->setChangeEmail($changeEmail);
    }
    /**
     * Get changeEmail value
     * @return \StructType\ChangeEmail|null
     */
    public function getChangeEmail()
    {
        return $this->changeEmail;
    }
    /**
     * Set changeEmail value
     * @param \StructType\ChangeEmail $changeEmail
     * @return \StructType\ChangeEmailRequest
     */
    public function setChangeEmail(\StructType\ChangeEmail $changeEmail = null)
    {
        $this->changeEmail = $changeEmail;
        return $this;
    }
}
